# NQLリスト

`list` 句では、選択したいフィールドを指定できます。

### 構文 <a href="#nqllist-syntax" id="nqllist-syntax"></a>

{% code overflow="wrap" lineNumbers="true" %}

```
...
| list <field_1>, <field_2>, <metric_1>, <metric_2> ...
```

{% endcode %}

### 例 <a href="#nqllist-example" id="nqllist-example"></a>

`users` テーブルから名前とタイプを選択します。

{% code overflow="wrap" lineNumbers="true" %}

```
過去7日間のユーザー
｜ ユーザー名、種別を一覧表示
```

{% endcode %}

| 名前         | タイプ        |
| ---------- | ---------- |
| ヘミ・チャーミアン  | ローカル\_ユーザー |
| ワンチュク・ミルヤム | ローカル\_管理者  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/ja/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-keywords/nql-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
